#include "ActionThread.h"

// Inhalt der ActionThread Klasse
// Konstruktor
ActionThread::ActionThread( std::function<void()> ak )
{
    action = ak;
    start();
}

// Fhrt die Threadaktion aus
void ActionThread::thread()
{
    action();
}

// Wird am ende des Threads ausgefhrt
void ActionThread::threadEnd()
{
    delete this;
}