#pragma once

#include <Thread.h>
#include <functional>

using namespace Framework;

// Lagert den Aufruf einer bestimmten Funktion in einen neuen Thread aus.
// Der Thread wird automatisch gestartet und lscht sich anschlieend selbst.
class ActionThread : public Thread
{
private:
    std::function<void()> action;

public:
    // Konstruktor
    ActionThread( std::function<void()> ak );
    // Fhrt die Threadaktion aus
    void thread() override;
    // Wird am ende des Threads ausgefhrt
    void threadEnd() override;
};